loci.formats.in

## Class LeicaSCNReader.LeicaSCNHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.formats.in.LeicaSCNReader.LeicaSCNHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    LeicaSCNReader

      class LeicaSCNReader.LeicaSCNHandler
      extends org.xml.sax.helpers.DefaultHandler

  SAX handler for parsing XML in Leica SCN files.
  Author:
    Roger Leigh r.leigh at dundee.ac.uk

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cdata`
    `LeicaSCNReader.ImageCollection` | `collection`
    `LeicaSCNReader.Image` | `currentImage`
    `java.util.ArrayList<java.lang.Integer>` | `IFDMap`
    `java.util.ArrayList<LeicaSCNReader.Image>` | `imageMap`
    `java.util.Deque<java.lang.String>` | `nameStack`
    `int` | `resolutionCount`
    `int` | `seriesIndex`
    `(package private) boolean` | `valid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeicaSCNHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `(package private) int` | `count()`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valid

          boolean valid

    - #### collection

          public LeicaSCNReader.ImageCollection collection

    - #### currentImage

          public LeicaSCNReader.Image currentImage

    - #### seriesIndex

          public int seriesIndex

    - #### IFDMap

          public java.util.ArrayList<java.lang.Integer> IFDMap

    - #### imageMap

          public java.util.ArrayList<LeicaSCNReader.Image> imageMap

    - #### nameStack

          public java.util.Deque<java.lang.String> nameStack

    - #### cdata

          public java.lang.String cdata

    - #### resolutionCount

          public int resolutionCount

  - ### Constructor Detail

    - #### LeicaSCNHandler

          LeicaSCNHandler()

  - ### Method Detail

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### count

          int count()

Copyright © 2026 Open Microscopy Environment